import { TableauSignInResponse } from "./responses/tableau-signin-response";
import { TableauAddUserToSiteResponse } from "./responses/tableau-add-user-to-site-response";
import { TableauAddUserToGroupResponse } from "./responses/tableau-add-user-to-group-response";
import { TableauUser } from "./responses/tableau-user-object";
import { TableauSuperAgent } from "../superagent/tableau-superagent";
export declare class TableauApiClient {
    private readonly superAgent;
    private readonly baseUrl;
    private readonly groupId;
    private readonly DEFAULT_USER_SITE_ROLE;
    private readonly DEFAULT_USER_AUTH_SETTING;
    private readonly PAGINATION_PAGE_SIZE;
    private siteId;
    private authToken;
    constructor(superAgent: TableauSuperAgent, baseUrl: string, groupId: string);
    signIn(jwt: string, contentUrl: string): Promise<TableauSignInResponse>;
    signOut(): Promise<void>;
    getUsersOnSite(): Promise<TableauUser[]>;
    getUsersInGroup(): Promise<TableauUser[]>;
    addUserToSite(userEmail: string): Promise<TableauAddUserToSiteResponse>;
    addUserToGroup(tableauUserId: string): Promise<TableauAddUserToGroupResponse>;
    removeUserFromSite(tableauUserId: string): Promise<void>;
    removeUserFromGroup(tableauUserId: string): Promise<void>;
    private getUsers;
    private generateSignInUrl;
    private generateSignOutUrl;
    private generateAuthUrl;
    private generateSitesUsersUrl;
    private generateSitesUserUrl;
    private generateSitesGroupsUsersUrl;
    private generateSitesGroupsUserUrl;
    private generateGroupsUrl;
    private generateSitesUrl;
}
